### Constructor

# Ide Symbol new

#### Declaration

    IdeSymbol*
    ide_symbol_new (
      const gchar* name,
      IdeSymbolKind kind,
      IdeSymbolFlags flags,
      IdeLocation* location,
      IdeLocation* header_location
    )

#### Description

No description available.

Available since: | 3.32

#### Parameters

`name` | `const gchar*`
| No description available.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`kind` | `IdeSymbolKind`
| No description available.
`flags` | `IdeSymbolFlags`
| No description available.
`location` | `IdeLocation`
| No description available.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`header_location` | `IdeLocation`
| No description available.
| The argument can be `NULL`.
| The data is owned by the caller of the function.

#### Return value

Returns: | `IdeSymbol`
| An `IdeSymbol`.
| The caller of the function takes ownership of the data, and is responsible for freeing it.